/*
 * Gtk-IPtables is Copyright (C) 2006  Daniel E. Testa
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _GTKIPT_UTILS_H_
#define _GTKIPT_UTILS_H_

#include <gtk/gtk.h> 
#include <stdio.h>
#include <stdlib.h>    
#include <string.h>
#include <ctype.h>

#define PIXMAPS_DIR "/usr/local/share/pixmaps"

GtkWidget *png_label_box(gchar *png_filename, gchar *label_text);
char* left_trim(char *p_text);
int message_box(GtkWindow *parent, const char *p_msg, GtkMessageType type, 
		GtkButtonsType buttons);
int get_list_selected_row(GtkWidget *clist_ctrl);
int have_root_access();


#endif /* _GTKIPT_UTILS_H_ */
